<!--
		Small RefCard stylesheet.
-->

<!DOCTYPE style-sheet PUBLIC "-//James Clark//DTD DSSSL Style Sheet//EN" [
<!ENTITY parent.dsl PUBLIC "-//Norman Walsh//DOCUMENT DocBook Print Stylesheet//EN" CDATA dsssl>
]>

<style-sheet>
  <style-specification id="print" use="parent">
    <style-specification-body> 

(define %compact-refcard% #f)
(define %paper-type% "A4landscape")
(define %section-autolabel% #f)
(define %bf-size% (if %compact-refcard% 9.5pt 10pt))

(define rgb-color-space (color-space 
			 "ISO/IEC 10179:1996//Color-Space Family::Device RGB"))
(define bg-color (color rgb-color-space 0.8 0.8 0.8))

(element section
  (let ((role (normalize (attribute-string (normalize "role"))))
	(title-node (select-elements (children (current-node))
				     (normalize "title") )) )
    (if (and role
	     (string=? role (normalize "refcard")) )

	;; the top-level section of a refcard
	(make simple-page-sequence
	  page-n-columns: 6
	  page-balance-columns?: #f
	  use: default-text-style
	  quadding: %default-quadding%
	  left-margin: 1cm
	  right-margin: 1cm
	  top-margin: 3cm
	  bottom-margin: 1.5cm
	  left-header: (literal (string-append (data title-node)
					       " - "
					       "Quick-reference card"))
	  (make sequence
	    (make paragraph
	      font-size: (* 2 %bf-size%)
	      font-family-name: "iso-sanserif"
	      font-weight: 'bold
	      font-posture: 'italic
	      quadding: 'center
	      space-before: 1em
	      space-after: (if %compact-refcard% 0.5em 1.5em)

	      (make box
		display?: #t
		box-type: 'border

		(process-node-list (children title-node))))
	    (process-children) ) )

	;; sub-section
	(make display-group
	  keep: #t
	  space-after: (display-space 0.1pt
				      max: (* 5 %bf-size%))
	  (make paragraph
	    font-size: (* (if %compact-refcard% 1 1.5) %bf-size%)
	    font-family-name: "iso-sanserif"
	    font-weight: 'bold
	    quadding: 'start
	    space-before: (if %compact-refcard% 0.5em 1em)
	    space-after: (if %compact-refcard% 0.3em 1em)
	    keep-with-next?: #t

	    (make box
	      display?: #t
	      box-type: 'background
	      background-color: bg-color

	      (process-node-list (children title-node))))

	  (process-node-list (node-list-filter-by-not-gi
			      (children (current-node))
			      (list (normalize "title"))))
	  ))))

(element simplelist
  (make paragraph
    font-family-name: "iso-serif"
    font-size: %bf-size%
    min-leading: #f
    line-spacing: (* %bf-size% 1) ))
	    
(element member
  (make sequence
    (process-children)
    (if (last-sibling? (current-node))
	(if %compact-refcard%
	    (literal ".")
	    (empty-sosofo))
	(if %compact-refcard%
	    (literal ", ")
	    (make paragraph-break)))))

    </style-specification-body>
  </style-specification>

  <external-specification id="parent" document="parent.dsl">
</style-sheet>
